+ Start a Discussion
philbophilbo 

New Force.com Eclipse plug-in - Error connecting to existing org

Hey,
 
There may be similar threads on this topic, but here goes anyway:
 
>>>>
YES:  SEE RECENT POST
WHICH IS THE EXACT SAME THING, OR NEARLY SO
<<<<
 
We have an org from which we're sourcing a managed package, and I'm trying to connect to it using the new Force.com Eclipse plug-in (v. 11.1.1).  The SOAP Endpoint is v. 11.1 as well.  What I get when connecting, and also when trying to 'refresh from server', or 'synchronize with server', is a msg box with the following error:
 
Unable to perform synchronization.
 
Reason:
TeamException: null: Duplicate retrieve names specified for package '<pkg name>'
 
I see a stack trace in my workspace log; if anybody wants to see it, I'd be happy to add it to this thread.
 
Does anybody have some insight into this, and what I can do about it, or how I can work around it?  Let's say for the sake of discussion that I do NOT want to re-create my org from scratch.  :^}
 
Thanks!
 
-phil m.


Message Edited by philbo on 01-14-2008 10:19 AM
MarkL.ax269MarkL.ax269
I had this happen to me because I really did have two identically-named packages installed - go figure. I uninstalled one of them and at least in my case, that fixed the problem. Probably not your issue, but it took care of mine.

Mark
jasonsfdcjasonsfdc

I am receiving a similar error message when attempting to connect to non "full" copy Sandbox instances.  The exact error message is: 

Unable to perform synchronization.

Reason:

TeamException: java.lang.RuntimeException: Failed deployment: UNKNOWN_EXCEPTION msg: UNKNOWN_EXCEPTION: An unexpected error occured. Please include this ErrorId if you contact support: 62184637-47

Again, I am able to connect to my Developer account, Production instance, "main" Sandbox, but none of our other sandboxes.

Any help would be greatly appreciated!

Regards,

Jason

philbophilbo
Hey,
 
I just upgraded to the latest Apex plugin - v. 11.1.1.200801151537 - and it gives me the exact same error as before when I try to synchronize with my org.
 
Has this gotten the attention of any SFDC folks, I wonder.....
 
-philbo
MattLMattL
I'm having the same problem, only it gives me a different error message number:
430703439-62
or
430703439-68

Love to hear of a resolution, as I can't work on this package in our live org.
pmorellipmorelli
It has caught our attention. ;o)

We have a number of server-side fixes for the metadata apis (which the eclipse plugin uses) going out in a core patch tonight. These unexpected exceptions are a catch all for server side exceptions, and we try to track them down and stomp them. Please try again tonight, we should be done by 7pm PST.

thanks.

--pete
philbophilbo

X-cellent!  My breath is now bated.....

-philbo

philbophilbo

Hey,

Underlying our particular problem was - in our org, we had an INSTALLED (un-managed) and SHARED (managed) package, both with the same name.  This was causing some sort of name collision within the plug-in code.  To remedy, we simply renamed the SHARED package, which squashed the problem immediately.

Thanks to the SF guys for their analysis!

-philbo

mikeegarmikeegar
We do consulting work and see this all over the place. It isn't always possible to go deleting packages from the client org. Is there another solution?
 
Thanks,
Mike